All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::scheduler::op_element Struct Reference

Struct for holding the type family as well as the type of an operation (could be addition, subtraction, norm, etc.) More...

`#include <forwards.h>`

## Public Attributes

operation_node_type_family | type_family
operation_node_type | type

## Detailed Description

Struct for holding the type family as well as the type of an operation (could be addition, subtraction, norm, etc.)

Definition at line 471 of file forwards.h.

## Member Data Documentation

operation_node_type viennacl::scheduler::op_element::type

Definition at line 474 of file forwards.h.

operation_node_type_family viennacl::scheduler::op_element::type_family

Definition at line 473 of file forwards.h.

The documentation for this struct was generated from the following file:

- viennacl/scheduler/forwards.h